View Issue Details

IDProjectCategoryView StatusLast Update
0003028PartDesignFeaturepublic2018-05-30 23:47
ReporterKunda1 Assigned Toabdullah  
PrioritynormalSeverityfeatureReproducibilityalways
Status assignedResolutionopen 
Product Version0.17 
Summary0003028: [PartDesign] Per face colors and keeping colors when adding a feature
DescriptionHi,

This is a cloned version of an old ticket to keep part of the original feature request.

- Per face colors in PDN.
- Keep preexisting per face colors of a solid when adding a feature (such as Pad, Pocket, Groove, Revolution, and Patterns).

Original request by Petar
Tagscolors
FreeCAD Information

Relationships

related to 0000848 closedabdullah PartDesign [PartDesign] Keep Transparency and Colors when adding a feature 
related to 0001626 new FreeCAD Transparency not respected when highlighting 
related to 0003148 closedwmayer PartDesign PartDesign does not allow colouring of single faces for non-primitives 

Activities

mrlukeparry

2017-05-13 12:49

developer   ~0008986

Wouldn't this be part of the new PartDesign? I haven't used it for a while. Shouldn't only the Body Feature be the only feature that can have the material properties set...

Kunda1

2017-05-13 12:49

administrator   ~0008987

Abdullah wrote:
I am not sure of the current applicability of this issue:
1. Keeping transparency, I just fixed this a couple of days ago.
2. Per face colors, I do not think it is currently possible with PD NEXT (I do not know how at least).

Maybe this feature request should be updated/rewritten in line with the current user requirements for v0.17 PD NEXT.


@Abdullah what commit did you add for number 1?
Since this ticket is old I'm not sure @pperisin will respond to point number 2. How to proceed if not?

abdullah

2017-05-13 12:49

manager   ~0008988

https://github.com/FreeCAD/FreeCAD/pull/685

Face per color is a feature PD should have. So I think that a feature request asking for this is appropriate.

We should have a procedure for those cases where part of a bug is fixed but not the whole and the same for feature request. Something like splitting a ticket into two, so that one can be marked as fixed while the other remains open. Or a new ticket deriving from an old one...

Kunda1

2017-05-13 12:49

administrator   ~0008989

@abdullah I'd be happy to clone this ticket and you can edit the clone so that it's rewritten correctly to PDN specs?

abdullah

2017-05-13 12:49

manager   ~0008990

@kunda1

Sure!! Give me the new ticket number and I will edit it.

Kunda1

2017-05-27 19:18

administrator   ~0009170

@Abdullah here is the cloned ticket of 0000848

abdullah

2017-05-27 20:29

manager   ~0009172

@kunda1

I acknowledge I have been notified. I will take action in due time.

Kunda1

2018-05-30 23:47

administrator   ~0011317

linked 0001626 to this ticket as well

Issue History

Date Modified Username Field Change
2017-05-13 12:49 Kunda1 New Issue
2017-05-13 12:49 Kunda1 Issue generated from: 0000848
2017-05-13 12:49 Kunda1 Note Added: 0008986
2017-05-13 12:49 Kunda1 Note Added: 0008987
2017-05-13 12:49 Kunda1 Note Added: 0008988
2017-05-13 12:49 Kunda1 Note Added: 0008989
2017-05-13 12:49 Kunda1 Note Added: 0008990
2017-05-13 12:49 Kunda1 Relationship added related to 0000848
2017-05-27 19:18 Kunda1 Note Added: 0009170
2017-05-27 20:29 abdullah Note Added: 0009172
2017-05-31 14:50 abdullah Summary [PartDesign] Keep Transparency and Colors when adding a feature => [PartDesign] Per face colors and keeping colors when adding a feature
2017-05-31 14:50 abdullah Description Updated View Revisions
2017-06-07 21:16 Kunda1 Tag Attached: colors
2017-10-19 11:31 Kunda1 Relationship added related to 0003148
2018-05-30 23:46 Kunda1 Assigned To => abdullah
2018-05-30 23:46 Kunda1 Status new => assigned
2018-05-30 23:47 Kunda1 Relationship added related to 0001626
2018-05-30 23:47 Kunda1 Note Added: 0011317